#include <stdlib.h>
#include "types.h"
#include "lib.h"

void *lib_malloc (size_t size)
{
 return malloc(size);
}

void lib_free (void *ptr)
{
 free(ptr);
}

char *lib_stralloc (char *str)
{
 size_t size;
 char *ptr;

 size = strlen(str) + 1;
 ptr = malloc(size);
 memcpy(ptr, str, size);
 return ptr;
}
